Bug 434633 - Review Request: ocaml-xmlrpc-light - OCaml library for writing XML-RPC clients and servers
Review Request: ocaml-xmlrpc-light - OCaml library for writing XML-RPC client...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 11:42 EST by Richard W.M. Jones
Modified: 2008-03-04 13:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 13:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-23 11:42:36 EST
Spec URL: http://www.annexia.org/tmp/ocaml-xmlrpc-light.spec
SRPM URL: http://www.annexia.org/tmp/ocaml-xmlrpc-light-0.6-1.fc9.src.rpm
Description: OCaml library for writing XML-RPC clients and servers

The RPMs are rpmlint-clean except for these errors from the
main subpackage:

ocaml-xmlrpc-light.i386: E: no-binary
ocaml-xmlrpc-light.i386: E: only-non-binary-in-usr-lib

These can both be ignored (bug 433783).
Comment 1 Parag AN(पराग) 2008-02-29 00:32:17 EST
SRPM not working
Comment 2 Richard W.M. Jones 2008-02-29 04:19:48 EST
Ooops, URLs were missing an extra component.  Try:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlrpc-light.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlrpc-light-0.6-1.fc9.src.rpm
Description: OCaml library for writing XML-RPC clients and servers

The RPMs are rpmlint-clean except for these errors from the
main subpackage:

ocaml-xmlrpc-light.i386: E: no-binary
ocaml-xmlrpc-light.i386: E: only-non-binary-in-usr-lib

These can both be ignored (bug 433783).
Comment 3 Parag AN(पराग) 2008-03-02 06:49:16 EST
koji build failed at http://koji.fedoraproject.org/koji/taskinfo?taskID=483916
Comment 4 Richard W.M. Jones 2008-03-03 12:40:48 EST
I've just realised I can test out builds in koji too, using scratch
builds, so I found the missing BR and tested a build:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=487741

So it was a missing BR, which I've fixed.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlrpc-light.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-xmlrpc-light-0.6-2.fc9.src.rpm

* Mon Mar  3 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6-2
- Added missing BR ocaml-ocamlnet-nethttpd-devel.
- Test build in mock.
- Removed ExcludeArch: ppc64.
Comment 5 Parag AN(पराग) 2008-03-03 23:15:31 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=489167
+ rpmlint is silent for SRPM But NOT for RPM.
ocaml-xmlrpc-light.i386: E: no-binary
ocaml-xmlrpc-light.i386: E: only-non-binary-in-usr-lib
==> Ok to accpet as per fixed in bug 433783  
+ source files match upstream.
ebfef786bc39c38f4a36f4404d9a7d16  xmlrpc-light-0.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-xmlrpc-light-0.6-2.fc9 =>
  Provides: ocaml(XmlRpc) = 242b916681cff316ce3b9a9a025a8857 ocaml(XmlRpcBase64)
= 0cad31a1745c717a7651f2800f6d4f5e ocaml(XmlRpcDateTime) =
01257a403b4ae5b12b0cfa58e4f03b67 ocaml(XmlRpcServer) =
0e4942e83d797e95035fd9c1e0679934
  Requires: ocaml(Arg) = 03e86a4154064ea900dc32c05f53e364 ocaml(Array) =
aa8e3cd5824f9bb40b93fcd38d0c95b5 ocaml(Buffer) =
f6cef633ea14963b84b79c4095c63dc3 ocaml(CamlinternalOO) =
6d0d5b328d6db88f403ca4393b4abd38 ocaml(Equeue) =
0b019282b6a9969dc7198556b5435c58 ocaml(Format) =
35fe566f7a37d8991a5c822bd1463949 ocaml(Hashtbl) =
083f2c94b44ff4e0b3220aaea6a783b4 ocaml(Http_client) =
f0e9fe490b6d8a794d35a830456eb7e8 ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(Lazy) = 8a4b5e7f0bdc6316df9264fd73cde981 ocaml(Lexing) =
b1793496643444d3762dd42bebe2cfe3 ocaml(List) = da1ce9168f0408ff26158af757456948
ocaml(Mimestring) = fba477a40536df28c0ca3060a7e51588 ocaml(Netbuffer) =
7cf39cb9b7f9f5d954f8309e1b9eb996 ocaml(Netcgi) =
a4b013286dc977da9a6bd49847a77a82 ocaml(Netcgi1_compat) =
040e51a87a15ddae2cdb63d0efccaf20 ocaml(Netcgi_cgi) =
d9bdbd540951384777a87483ae90e036 ocaml(Netcgi_common) =
395d9ccfd4457d36787340ca2a0fca3c ocaml(Netchannels) =
497ae5faf0d2e1d27a6097fe8dc36a34 ocaml(Netconst) =
a58269dba21b555822a85d751502da7e ocaml(Netconversion) =
94e7482412c7dbe2fda57ea767039b07 ocaml(Netencoding) =
a8335569965e2b8e3de4f5c04eb72915 ocaml(Nethttp) =
1d867e8332b220043d6d513efa46f6ca ocaml(Nethttpd_kernel) =
8ecba65756ec83573a436d41397f508b ocaml(Nethttpd_plex) =
10e5bcff47cf4f4a96a25eaf9a9d3024 ocaml(Nethttpd_reactor) =
322b0eac61549f37d90b2165eaba2b08 ocaml(Nethttpd_services) =
7ef3f2f2953a303da32ddd2dcab454da ocaml(Nethttpd_types) =
70898d1c8e6dfeeec1c5db6c593acc6b ocaml(Netmime) =
cda6584f06ccb08f20dbafa25fb35342 ocaml(Netplex_log) =
60f68b241e93439be006fc859295f5cc ocaml(Netplex_main) =
0118ff125ab7b9f6cfe4d78afd691600 ocaml(Netplex_mp) =
1d05ed753a861eeec527d8d7401097f8 ocaml(Netplex_types) =
04d930506f0ff29ec89e11b7f229d083 ocaml(Netplex_workload) =
cf403960a1f92fa883260130f84050a1 ocaml(Netstream) =
2d6afe08806535114dd273260c5fe94e ocaml(Neturl) =
9f30c8cd77062405f78cf62b72631b80 ocaml(Obj) = 5cfae708052c692ea39d23ed930fd64d
ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printexc) =
82717999a586ede6925c0aa18d6562ac ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(Rpc) = bba5e895c57edf83b047c0c3ef79be4b
ocaml(Rpc_client) = 8c851fcde93b349f1eac68dca1298a19 ocaml(Rpc_packer) =
2683b6d64c72ef5f994e4226d840f830 ocaml(Rpc_program) =
8b4716d2558cf235a803854b194a802b ocaml(Rpc_server) =
ba130731d962d40317e08e38e87d49c3 ocaml(Rpc_transport) =
f27a022f6aa72f1ff5dd8250677a9640 ocaml(Rtypes) =
e7b1d1cbd1990abdd45e396f60fce647 ocaml(Scanf) = 03364fa23e007821f9d76a0f078ed6d6
ocaml(Stream) = 21a833e12efd34ea0c87d8d9da959809 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Sys) = 0da495f5a80f31899139359805318f28
ocaml(Unix) = 9a46a8db115947409e54686ada118599 ocaml(Unixqueue) =
e1509969fc4be3b57fc9dbba36a89192 ocaml(Uq_engines) =
4c0ac5d68309e58b5d19ee5919cb0098 ocaml(Xdr) = bb3bfe3c59597b6733a28a62891b1500
ocaml(Xml) = 06113979902326aeb173e83414f141d7 ocaml(runtime) = 3.10.1
+ Package ocaml-xmlrpc-light-devel-0.6-2.fc9  =>
  ocaml-xmlrpc-light = 0.6-2.fc9
+ Followed ocaml packaging guidelines.
APPROVED.
Comment 6 Richard W.M. Jones 2008-03-04 05:46:24 EST
New Package CVS Request
=======================
Package Name: ocaml-xmlrpc-light
Short Description: OCaml library for writing XML-RPC clients and servers
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-03-04 12:07:02 EST
cvs done.
Comment 8 Richard W.M. Jones 2008-03-04 13:40:38 EST
Built on F-8 & devel.

Note You need to log in before you can comment on or make changes to this bug.